"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FeatureOrderBy = exports.FeatureStrColumn = exports.MetricType = exports.MetricTier = exports.OrgMqlServerOrderBy = exports.OrgMqlServerStrColumn = exports.OrganizationOrderBy = exports.OrganizationStrColumn = exports.ApiKeyOrderBy = exports.ApiKeyStrColumn = exports.MetricCollectionOrderBy = exports.MetricCollectionStrColumn = exports.MetricCollectionMetricOrderBy = exports.UserOrderBy = exports.UserStrColumn = exports.TeamOrderBy = exports.TeamStrColumn = exports.SavedQueryOrderBy = exports.SavedQueryStrColumn = exports.MetricVersionOrderBy = exports.MetricVersionStrColumn = exports.DataSourceVersionOrderBy = exports.DataSourceVersionStrColumn = exports.AnnotationOrderBy = exports.AnnotationStrColumn = exports.Priority = exports.QuestionOrderBy = exports.QuestionStrColumn = exports.QuestionReplyOrderBy = exports.QuestionReplyStrColumn = exports.UserUserOrderBy = void 0;
/** An enumeration. */
var UserUserOrderBy;
(function (UserUserOrderBy) {
    UserUserOrderBy["TeamMemberId"] = "TeamMember_ID";
    UserUserOrderBy["TeamMemberTeamId"] = "TeamMember_TEAM_ID";
    UserUserOrderBy["TeamMemberOrganizationId"] = "TeamMember_ORGANIZATION_ID";
    UserUserOrderBy["TeamMemberUserId"] = "TeamMember_USER_ID";
    UserUserOrderBy["TeamMemberIsTeamAdmin"] = "TeamMember_IS_TEAM_ADMIN";
    UserUserOrderBy["TeamMemberJoinedAt"] = "TeamMember_JOINED_AT";
    UserUserOrderBy["UserId"] = "User_ID";
    UserUserOrderBy["UserOrganizationId"] = "User_ORGANIZATION_ID";
    UserUserOrderBy["UserAuth0Id"] = "User_AUTH0_ID";
    UserUserOrderBy["UserUserName"] = "User_USER_NAME";
    UserUserOrderBy["UserEmail"] = "User_EMAIL";
    UserUserOrderBy["UserCreatedAt"] = "User_CREATED_AT";
    UserUserOrderBy["UserUpdatedAt"] = "User_UPDATED_AT";
    UserUserOrderBy["UserDeactivatedAt"] = "User_DEACTIVATED_AT";
    UserUserOrderBy["UserAvatarUrl"] = "User_AVATAR_URL";
    UserUserOrderBy["UserPrimaryDashboardId"] = "User_PRIMARY_DASHBOARD_ID";
    UserUserOrderBy["UserDateCreate"] = "User_DATE_CREATE";
    UserUserOrderBy["UserDateDeactivate"] = "User_DATE_DEACTIVATE";
})(UserUserOrderBy = exports.UserUserOrderBy || (exports.UserUserOrderBy = {}));
/** An enumeration. */
var QuestionReplyStrColumn;
(function (QuestionReplyStrColumn) {
    QuestionReplyStrColumn["Text"] = "TEXT";
})(QuestionReplyStrColumn = exports.QuestionReplyStrColumn || (exports.QuestionReplyStrColumn = {}));
/** An enumeration. */
var QuestionReplyOrderBy;
(function (QuestionReplyOrderBy) {
    QuestionReplyOrderBy["Id"] = "ID";
    QuestionReplyOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    QuestionReplyOrderBy["QuestionId"] = "QUESTION_ID";
    QuestionReplyOrderBy["AuthorId"] = "AUTHOR_ID";
    QuestionReplyOrderBy["Text"] = "TEXT";
    QuestionReplyOrderBy["CreatedAt"] = "CREATED_AT";
    QuestionReplyOrderBy["UpdatedAt"] = "UPDATED_AT";
})(QuestionReplyOrderBy = exports.QuestionReplyOrderBy || (exports.QuestionReplyOrderBy = {}));
/** An enumeration. */
var QuestionStrColumn;
(function (QuestionStrColumn) {
    QuestionStrColumn["Text"] = "TEXT";
    QuestionStrColumn["Priority"] = "PRIORITY";
})(QuestionStrColumn = exports.QuestionStrColumn || (exports.QuestionStrColumn = {}));
/** An enumeration. */
var QuestionOrderBy;
(function (QuestionOrderBy) {
    QuestionOrderBy["Id"] = "ID";
    QuestionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    QuestionOrderBy["AuthorId"] = "AUTHOR_ID";
    QuestionOrderBy["Resolved"] = "RESOLVED";
    QuestionOrderBy["ResolvedBy"] = "RESOLVED_BY";
    QuestionOrderBy["ResolvedAt"] = "RESOLVED_AT";
    QuestionOrderBy["Text"] = "TEXT";
    QuestionOrderBy["Priority"] = "PRIORITY";
    QuestionOrderBy["NotifiedAt"] = "NOTIFIED_AT";
    QuestionOrderBy["CreatedAt"] = "CREATED_AT";
    QuestionOrderBy["UpdatedAt"] = "UPDATED_AT";
    QuestionOrderBy["MetricId"] = "METRIC_ID";
})(QuestionOrderBy = exports.QuestionOrderBy || (exports.QuestionOrderBy = {}));
/** An enumeration. */
var Priority;
(function (Priority) {
    Priority["NoPriority"] = "NO_PRIORITY";
    Priority["Low"] = "LOW";
    Priority["Medium"] = "MEDIUM";
    Priority["High"] = "HIGH";
    Priority["Critical"] = "CRITICAL";
})(Priority = exports.Priority || (exports.Priority = {}));
/** An enumeration. */
var AnnotationStrColumn;
(function (AnnotationStrColumn) {
    AnnotationStrColumn["Title"] = "TITLE";
    AnnotationStrColumn["Text"] = "TEXT";
    AnnotationStrColumn["ExpectedImpact"] = "EXPECTED_IMPACT";
    AnnotationStrColumn["Priority"] = "PRIORITY";
})(AnnotationStrColumn = exports.AnnotationStrColumn || (exports.AnnotationStrColumn = {}));
/** An enumeration. */
var AnnotationOrderBy;
(function (AnnotationOrderBy) {
    AnnotationOrderBy["Id"] = "ID";
    AnnotationOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    AnnotationOrderBy["AuthorId"] = "AUTHOR_ID";
    AnnotationOrderBy["Title"] = "TITLE";
    AnnotationOrderBy["Text"] = "TEXT";
    AnnotationOrderBy["ExpectedImpact"] = "EXPECTED_IMPACT";
    AnnotationOrderBy["Priority"] = "PRIORITY";
    AnnotationOrderBy["DateStartedAt"] = "DATE_STARTED_AT";
    AnnotationOrderBy["DateEndedAt"] = "DATE_ENDED_AT";
    AnnotationOrderBy["NotifiedAt"] = "NOTIFIED_AT";
    AnnotationOrderBy["DeletedAt"] = "DELETED_AT";
    AnnotationOrderBy["CreatedAt"] = "CREATED_AT";
    AnnotationOrderBy["UpdatedAt"] = "UPDATED_AT";
})(AnnotationOrderBy = exports.AnnotationOrderBy || (exports.AnnotationOrderBy = {}));
/** An enumeration. */
var DataSourceVersionStrColumn;
(function (DataSourceVersionStrColumn) {
    DataSourceVersionStrColumn["Name"] = "NAME";
    DataSourceVersionStrColumn["Description"] = "DESCRIPTION";
    DataSourceVersionStrColumn["Connection"] = "CONNECTION";
    DataSourceVersionStrColumn["SqlTable"] = "SQL_TABLE";
    DataSourceVersionStrColumn["SqlQuery"] = "SQL_QUERY";
    DataSourceVersionStrColumn["Hash"] = "HASH";
})(DataSourceVersionStrColumn = exports.DataSourceVersionStrColumn || (exports.DataSourceVersionStrColumn = {}));
/** An enumeration. */
var DataSourceVersionOrderBy;
(function (DataSourceVersionOrderBy) {
    DataSourceVersionOrderBy["Id"] = "ID";
    DataSourceVersionOrderBy["Name"] = "NAME";
    DataSourceVersionOrderBy["Description"] = "DESCRIPTION";
    DataSourceVersionOrderBy["Owners"] = "OWNERS";
    DataSourceVersionOrderBy["Connection"] = "CONNECTION";
    DataSourceVersionOrderBy["SqlTable"] = "SQL_TABLE";
    DataSourceVersionOrderBy["SqlQuery"] = "SQL_QUERY";
    DataSourceVersionOrderBy["Identifiers"] = "IDENTIFIERS";
    DataSourceVersionOrderBy["Measures"] = "MEASURES";
    DataSourceVersionOrderBy["Dimensions"] = "DIMENSIONS";
    DataSourceVersionOrderBy["DataSourceMetadata"] = "DATA_SOURCE_METADATA";
    DataSourceVersionOrderBy["Mutability"] = "MUTABILITY";
    DataSourceVersionOrderBy["Constraint"] = "CONSTRAINT";
    DataSourceVersionOrderBy["CreatedAt"] = "CREATED_AT";
    DataSourceVersionOrderBy["Hash"] = "HASH";
    DataSourceVersionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
})(DataSourceVersionOrderBy = exports.DataSourceVersionOrderBy || (exports.DataSourceVersionOrderBy = {}));
/** An enumeration. */
var MetricVersionStrColumn;
(function (MetricVersionStrColumn) {
    MetricVersionStrColumn["DisplayName"] = "DISPLAY_NAME";
    MetricVersionStrColumn["Description"] = "DESCRIPTION";
    MetricVersionStrColumn["Hash"] = "HASH";
})(MetricVersionStrColumn = exports.MetricVersionStrColumn || (exports.MetricVersionStrColumn = {}));
/** An enumeration. */
var MetricVersionOrderBy;
(function (MetricVersionOrderBy) {
    MetricVersionOrderBy["Id"] = "ID";
    MetricVersionOrderBy["DisplayName"] = "DISPLAY_NAME";
    MetricVersionOrderBy["Description"] = "DESCRIPTION";
    MetricVersionOrderBy["Tier"] = "TIER";
    MetricVersionOrderBy["MetricType"] = "METRIC_TYPE";
    MetricVersionOrderBy["MetricId"] = "METRIC_ID";
    MetricVersionOrderBy["Params"] = "PARAMS";
    MetricVersionOrderBy["Metadata"] = "METADATA";
    MetricVersionOrderBy["CreatedAt"] = "CREATED_AT";
    MetricVersionOrderBy["Hash"] = "HASH";
    MetricVersionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    MetricVersionOrderBy["SourceDataSourceVersions"] = "SOURCE_DATA_SOURCE_VERSIONS";
    MetricVersionOrderBy["OrgDataSourceId"] = "ORG_DATA_SOURCE_ID";
    MetricVersionOrderBy["Views"] = "VIEWS";
})(MetricVersionOrderBy = exports.MetricVersionOrderBy || (exports.MetricVersionOrderBy = {}));
/** An enumeration. */
var SavedQueryStrColumn;
(function (SavedQueryStrColumn) {
    SavedQueryStrColumn["Title"] = "TITLE";
})(SavedQueryStrColumn = exports.SavedQueryStrColumn || (exports.SavedQueryStrColumn = {}));
/** An enumeration. */
var SavedQueryOrderBy;
(function (SavedQueryOrderBy) {
    SavedQueryOrderBy["Id"] = "ID";
    SavedQueryOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    SavedQueryOrderBy["Title"] = "TITLE";
    SavedQueryOrderBy["CreatedAt"] = "CREATED_AT";
    SavedQueryOrderBy["UpdatedAt"] = "UPDATED_AT";
    SavedQueryOrderBy["DeletedAt"] = "DELETED_AT";
    SavedQueryOrderBy["CreatedBy"] = "CREATED_BY";
    SavedQueryOrderBy["OwnerTeamId"] = "OWNER_TEAM_ID";
    SavedQueryOrderBy["SerializedQuery"] = "SERIALIZED_QUERY";
})(SavedQueryOrderBy = exports.SavedQueryOrderBy || (exports.SavedQueryOrderBy = {}));
/** An enumeration. */
var TeamStrColumn;
(function (TeamStrColumn) {
    TeamStrColumn["Name"] = "NAME";
    TeamStrColumn["Slug"] = "SLUG";
    TeamStrColumn["Theme"] = "THEME";
    TeamStrColumn["Description"] = "DESCRIPTION";
})(TeamStrColumn = exports.TeamStrColumn || (exports.TeamStrColumn = {}));
/** An enumeration. */
var TeamOrderBy;
(function (TeamOrderBy) {
    TeamOrderBy["Id"] = "ID";
    TeamOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    TeamOrderBy["Name"] = "NAME";
    TeamOrderBy["CreatedBy"] = "CREATED_BY";
    TeamOrderBy["Slug"] = "SLUG";
    TeamOrderBy["Theme"] = "THEME";
    TeamOrderBy["PrimaryDashboardId"] = "PRIMARY_DASHBOARD_ID";
    TeamOrderBy["FeaturedMetricCollectionId"] = "FEATURED_METRIC_COLLECTION_ID";
    TeamOrderBy["CreatedAt"] = "CREATED_AT";
    TeamOrderBy["UpdatedAt"] = "UPDATED_AT";
    TeamOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
    TeamOrderBy["Description"] = "DESCRIPTION";
    TeamOrderBy["Views"] = "VIEWS";
})(TeamOrderBy = exports.TeamOrderBy || (exports.TeamOrderBy = {}));
/** An enumeration. */
var UserStrColumn;
(function (UserStrColumn) {
    UserStrColumn["Auth0Id"] = "AUTH0_ID";
    UserStrColumn["UserName"] = "USER_NAME";
    UserStrColumn["Email"] = "EMAIL";
    UserStrColumn["AvatarUrl"] = "AVATAR_URL";
})(UserStrColumn = exports.UserStrColumn || (exports.UserStrColumn = {}));
/** An enumeration. */
var UserOrderBy;
(function (UserOrderBy) {
    UserOrderBy["Id"] = "ID";
    UserOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    UserOrderBy["Auth0Id"] = "AUTH0_ID";
    UserOrderBy["UserName"] = "USER_NAME";
    UserOrderBy["Email"] = "EMAIL";
    UserOrderBy["CreatedAt"] = "CREATED_AT";
    UserOrderBy["UpdatedAt"] = "UPDATED_AT";
    UserOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
    UserOrderBy["AvatarUrl"] = "AVATAR_URL";
    UserOrderBy["PrimaryDashboardId"] = "PRIMARY_DASHBOARD_ID";
    UserOrderBy["DateCreate"] = "DATE_CREATE";
    UserOrderBy["DateDeactivate"] = "DATE_DEACTIVATE";
})(UserOrderBy = exports.UserOrderBy || (exports.UserOrderBy = {}));
/** An enumeration. */
var MetricCollectionMetricOrderBy;
(function (MetricCollectionMetricOrderBy) {
    MetricCollectionMetricOrderBy["Id"] = "ID";
    MetricCollectionMetricOrderBy["CreatedAt"] = "CREATED_AT";
    MetricCollectionMetricOrderBy["UpdatedAt"] = "UPDATED_AT";
    MetricCollectionMetricOrderBy["MetricCollectionId"] = "METRIC_COLLECTION_ID";
    MetricCollectionMetricOrderBy["MetricId"] = "METRIC_ID";
    MetricCollectionMetricOrderBy["Position"] = "POSITION";
    MetricCollectionMetricOrderBy["Emphasis"] = "EMPHASIS";
})(MetricCollectionMetricOrderBy = exports.MetricCollectionMetricOrderBy || (exports.MetricCollectionMetricOrderBy = {}));
/** An enumeration. */
var MetricCollectionStrColumn;
(function (MetricCollectionStrColumn) {
    MetricCollectionStrColumn["Title"] = "TITLE";
    MetricCollectionStrColumn["Slug"] = "SLUG";
    MetricCollectionStrColumn["Description"] = "DESCRIPTION";
})(MetricCollectionStrColumn = exports.MetricCollectionStrColumn || (exports.MetricCollectionStrColumn = {}));
/** An enumeration. */
var MetricCollectionOrderBy;
(function (MetricCollectionOrderBy) {
    MetricCollectionOrderBy["Id"] = "ID";
    MetricCollectionOrderBy["Title"] = "TITLE";
    MetricCollectionOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    MetricCollectionOrderBy["PrimaryDashboardId"] = "PRIMARY_DASHBOARD_ID";
    MetricCollectionOrderBy["CreatedAt"] = "CREATED_AT";
    MetricCollectionOrderBy["UpdatedAt"] = "UPDATED_AT";
    MetricCollectionOrderBy["DeletedAt"] = "DELETED_AT";
    MetricCollectionOrderBy["Slug"] = "SLUG";
    MetricCollectionOrderBy["CreatedBy"] = "CREATED_BY";
    MetricCollectionOrderBy["OwnerTeamId"] = "OWNER_TEAM_ID";
    MetricCollectionOrderBy["Description"] = "DESCRIPTION";
    MetricCollectionOrderBy["DefaultEmphasis"] = "DEFAULT_EMPHASIS";
    MetricCollectionOrderBy["Views"] = "VIEWS";
})(MetricCollectionOrderBy = exports.MetricCollectionOrderBy || (exports.MetricCollectionOrderBy = {}));
/** An enumeration. */
var ApiKeyStrColumn;
(function (ApiKeyStrColumn) {
    ApiKeyStrColumn["Prefix"] = "PREFIX";
    ApiKeyStrColumn["Type"] = "TYPE";
    ApiKeyStrColumn["SecretHash"] = "SECRET_HASH";
    ApiKeyStrColumn["Scope"] = "SCOPE";
})(ApiKeyStrColumn = exports.ApiKeyStrColumn || (exports.ApiKeyStrColumn = {}));
/** An enumeration. */
var ApiKeyOrderBy;
(function (ApiKeyOrderBy) {
    ApiKeyOrderBy["Prefix"] = "PREFIX";
    ApiKeyOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    ApiKeyOrderBy["UserId"] = "USER_ID";
    ApiKeyOrderBy["Type"] = "TYPE";
    ApiKeyOrderBy["SecretHash"] = "SECRET_HASH";
    ApiKeyOrderBy["CreatedAt"] = "CREATED_AT";
    ApiKeyOrderBy["RevokedAt"] = "REVOKED_AT";
    ApiKeyOrderBy["RevokerId"] = "REVOKER_ID";
    ApiKeyOrderBy["LastUsedAt"] = "LAST_USED_AT";
    ApiKeyOrderBy["Scope"] = "SCOPE";
})(ApiKeyOrderBy = exports.ApiKeyOrderBy || (exports.ApiKeyOrderBy = {}));
/** An enumeration. */
var OrganizationStrColumn;
(function (OrganizationStrColumn) {
    OrganizationStrColumn["Name"] = "NAME";
    OrganizationStrColumn["Domain"] = "DOMAIN";
    OrganizationStrColumn["LogoUrl"] = "LOGO_URL";
    OrganizationStrColumn["PrimaryConfigRepo"] = "PRIMARY_CONFIG_REPO";
    OrganizationStrColumn["PrimaryConfigBranch"] = "PRIMARY_CONFIG_BRANCH";
    OrganizationStrColumn["SourceControlUrl"] = "SOURCE_CONTROL_URL";
    OrganizationStrColumn["MqlServerLogs"] = "MQL_SERVER_LOGS";
    OrganizationStrColumn["Slug"] = "SLUG";
})(OrganizationStrColumn = exports.OrganizationStrColumn || (exports.OrganizationStrColumn = {}));
/** An enumeration. */
var OrganizationOrderBy;
(function (OrganizationOrderBy) {
    OrganizationOrderBy["Id"] = "ID";
    OrganizationOrderBy["Name"] = "NAME";
    OrganizationOrderBy["Domain"] = "DOMAIN";
    OrganizationOrderBy["CreatedAt"] = "CREATED_AT";
    OrganizationOrderBy["DeactivatedAt"] = "DEACTIVATED_AT";
    OrganizationOrderBy["ShardId"] = "SHARD_ID";
    OrganizationOrderBy["LogoUrl"] = "LOGO_URL";
    OrganizationOrderBy["PrimaryConfigRepo"] = "PRIMARY_CONFIG_REPO";
    OrganizationOrderBy["PrimaryConfigBranch"] = "PRIMARY_CONFIG_BRANCH";
    OrganizationOrderBy["SourceControlUrl"] = "SOURCE_CONTROL_URL";
    OrganizationOrderBy["MqlServerLogs"] = "MQL_SERVER_LOGS";
    OrganizationOrderBy["UpdatedAt"] = "UPDATED_AT";
    OrganizationOrderBy["Slug"] = "SLUG";
    OrganizationOrderBy["IsHosted"] = "IS_HOSTED";
})(OrganizationOrderBy = exports.OrganizationOrderBy || (exports.OrganizationOrderBy = {}));
/** An enumeration. */
var OrgMqlServerStrColumn;
(function (OrgMqlServerStrColumn) {
    OrgMqlServerStrColumn["Name"] = "NAME";
    OrgMqlServerStrColumn["Url"] = "URL";
    OrgMqlServerStrColumn["ConfigSecret"] = "CONFIG_SECRET";
    OrgMqlServerStrColumn["DwEngine"] = "DW_ENGINE";
})(OrgMqlServerStrColumn = exports.OrgMqlServerStrColumn || (exports.OrgMqlServerStrColumn = {}));
/** An enumeration. */
var OrgMqlServerOrderBy;
(function (OrgMqlServerOrderBy) {
    OrgMqlServerOrderBy["Id"] = "ID";
    OrgMqlServerOrderBy["OrganizationId"] = "ORGANIZATION_ID";
    OrgMqlServerOrderBy["CreatedAt"] = "CREATED_AT";
    OrgMqlServerOrderBy["UpdatedAt"] = "UPDATED_AT";
    OrgMqlServerOrderBy["Name"] = "NAME";
    OrgMqlServerOrderBy["Url"] = "URL";
    OrgMqlServerOrderBy["IsOrgDefault"] = "IS_ORG_DEFAULT";
    OrgMqlServerOrderBy["ConfigSecret"] = "CONFIG_SECRET";
    OrgMqlServerOrderBy["DwEngine"] = "DW_ENGINE";
})(OrgMqlServerOrderBy = exports.OrgMqlServerOrderBy || (exports.OrgMqlServerOrderBy = {}));
/** An enumeration. */
var MetricTier;
(function (MetricTier) {
    MetricTier["One"] = "ONE";
    MetricTier["Two"] = "TWO";
    MetricTier["Three"] = "THREE";
})(MetricTier = exports.MetricTier || (exports.MetricTier = {}));
/** An enumeration. */
var MetricType;
(function (MetricType) {
    MetricType["MeasureProxy"] = "MEASURE_PROXY";
    MetricType["Ratio"] = "RATIO";
    MetricType["Expr"] = "EXPR";
    MetricType["Cumulative"] = "CUMULATIVE";
})(MetricType = exports.MetricType || (exports.MetricType = {}));
/** An enumeration. */
var FeatureStrColumn;
(function (FeatureStrColumn) {
    FeatureStrColumn["Name"] = "NAME";
})(FeatureStrColumn = exports.FeatureStrColumn || (exports.FeatureStrColumn = {}));
/** An enumeration. */
var FeatureOrderBy;
(function (FeatureOrderBy) {
    FeatureOrderBy["Id"] = "ID";
    FeatureOrderBy["CreatedAt"] = "CREATED_AT";
    FeatureOrderBy["UpdatedAt"] = "UPDATED_AT";
    FeatureOrderBy["Name"] = "NAME";
    FeatureOrderBy["RetiredAt"] = "RETIRED_AT";
})(FeatureOrderBy = exports.FeatureOrderBy || (exports.FeatureOrderBy = {}));
